Skip to main content
POST
/
sessions
/
{sessionId}
Create a server for a session
curl --request POST \
  --url https://api.readmin.app/sessions/{sessionId} \
  --header 'loader-id: <api-key>'
import requests

url = "https://api.readmin.app/sessions/{sessionId}"

headers = {"loader-id": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'loader-id': '<api-key>'}};

fetch('https://api.readmin.app/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "newServerId": "<string>",
  "session": {
    "_id": "<string>",
    "groupId": "<string>",
    "id": "<string>",
    "templateId": "<string>",
    "claims": [
      "<string>"
    ],
    "attendees": [
      "<string>"
    ],
    "comments": [
      {
        "id": "<string>",
        "authorId": "<string>",
        "note": "<string>",
        "deleteable": true,
        "attachments": [
          "<string>"
        ],
        "created": "2023-11-07T05:31:56Z"
      }
    ],
    "servers": {},
    "date": "2023-11-07T05:31:56Z",
    "notifyTime": "2023-11-07T05:31:56Z",
    "endsAt": "2023-11-07T05:31:56Z",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "sentDMS": true,
    "sentStartMessage": true,
    "sentEndMessage": true,
    "oneOffSession": true,
    "template": {
      "name": "<string>",
      "description": "<string>",
      "sessionDuration": 123,
      "placeId": "<string>",
      "createDiscordEvent": true,
      "images": {
        "thumbnail": "<string>"
      }
    },
    "createdDiscordEvent": true
  }
}

Authorizations

loader-id
string
header
required

Path Parameters

sessionId
string
required

Response

200 - application/json

Server created for the session

success
boolean
newServerId
string
session
object